## qttinysa 0.11.8

=== requirements.txt ===
altgraph
numpy
platformdirs
PyOpenGL==3.1.1a1
PyQt5==5.15.10
PyQt5-sip
pyqtgraph
pyserial

## qttinysa 0.10.1

=== debian/changelog ===
qttinysa (0.10.1-1) unstable; urgency=medium

  * Initial upload to debian (Closes: #1063230)
  * New upstream version 0.10.1
  * No need to repack anymore - the dist/ folder is gone.
  * Fix a lintian info about a trailing whitespace.

 -- Patrick Winnertz <winnie@der-winnie.de>  Thu, 29 Feb 2024 16:33:40 +0100

qttinysa (0.9.1+dfsg-1) unstable; urgency=medium

  * Removed binary builds for linux and windows
  * Added a patch to enable a multi-user environment
  * Use ci-cd pipelines from gr-satellites
  * Small change to trigger CI/CD

 -- Patrick Winnertz <winnie@der-winnie.de>  Thu, 08 Feb 2024 20:49:18 +0100

=== debian/control ===
Source: qttinysa
Section: science
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Patrick Winnertz <winnie@der-winnie.de>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3, lowdown
Standards-Version: 4.6.2
Homepage: https://github.com/g4ixt/QtTinySA/
Vcs-Browser: https://salsa.debian.org/winnieXY/qttinysa
Vcs-Git: https://salsa.debian.org/winnieXY/qttinysa.git

Package: qttinysa
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends}, python3-pyqt5.qwt, python3-pyqt5,
 python3-pyqt5.qtsql, python3-numpy, python3-serial,
 python3-pyqtgraph, python3-opengl, python3-pyqt5.qtopengl,
 python3-platformdirs
Description: QT Gui for a tiny SA Spectrum Analyser
 A Python 'TinySA Ultra' (and original 'TinySA') GUI
 program using Qt5 and PyQt5, which replicates some
 of the on-screen commands of the TinySA.
 .
 Generator control is not implemented.
 .
 Working features are LNA, selectable Scan Points, Band
 selection, Averaging, Colour Traces, 3D Plots,
 exportable graphs.

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4
# GitHub hosted projects.
opts="repack,repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%.*/v?(\d[\d.]*)\.tar\.gz%qttinysa-$1.tar.gz%" \
https://github.com/g4ixt/QtTinySA/tags .*/v?(\d[\d.]*)\.tar\.gz

## qttinysa 0.10.3

=== debian/changelog ===
qttinysa (0.10.3-1) unstable; urgency=medium

  * New upstream version 0.10.3

 -- Patrick Winnertz <winnie@debian.org>  Fri, 03 May 2024 22:01:26 +0200

qttinysa (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2
  * Bump the Standards-Version to 4.7.0 - no further changes needed.
  * Remove patch which was applied upstream

 -- Patrick Winnertz <winnie@debian.org>  Mon, 08 Apr 2024 21:30:06 +0200

qttinysa (0.10.1-2) unstable; urgency=medium

  * Change maintainer address
  * Use the upstream metadata and remove the example file

 -- Patrick Winnertz <winnie@debian.org>  Sun, 24 Mar 2024 21:13:04 +0100

## qttinysa 0.10.6

=== debian/changelog ===
qttinysa (0.10.6-1) unstable; urgency=medium

  * New upstream version 0.10.6

 -- Patrick Winnertz <winnie@debian.org>  Sun, 28 Jul 2024 13:50:34 +0200

## qttinysa 0.11.8

=== debian/changelog ===
qttinysa (0.11.8-1) unstable; urgency=medium

  * New upstream version 0.11.8

 -- Patrick Winnertz <winnie@debian.org>  Sat, 18 Jan 2025 23:14:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: science
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Patrick Winnertz <winnie@der-winnie.de>
+Uploaders: Patrick Winnertz <winnie@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3, lowdown
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/g4ixt/QtTinySA/
 Vcs-Browser: https://salsa.debian.org/winnieXY/qttinysa
 Vcs-Git: https://salsa.debian.org/winnieXY/qttinysa.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installman:
	lowdown -s -Tman -o debian/qttinysa.1 debian/qttinysa.md
	dh_installman

execute_after_dh_fixperms:
	find debian -name 'QtTinySA.py' -exec chmod a+x {} +
	
execute_after_dh_clean:
	rm -f debian/qttinysa.1 || true

## qttinysa 1.0.2%2Bgit20250424T094920-a2d39d0

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3, lowdown
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/g4ixt/QtTinySA/
 Vcs-Browser: https://salsa.debian.org/winnieXY/qttinysa
 Vcs-Git: https://salsa.debian.org/winnieXY/qttinysa.git

## qttinysa 1.0.2+git20250424T094920

=== src/requirements.txt ===
altgraph
numpy
platformdirs
PyOpenGL==3.1.1a1
PyQt5==5.15.10
PyQt5-sip
pyqtgraph
pyserial
pillow==11.1.0

## qttinysa 1.0.2+git20250424T094920-a2d39d0

=== debian/changelog ===
qttinysa (1.0.2+git20250424T094920-a2d39d0-1) unstable; urgency=medium

  * New upstream version 1.0.2 (used the git id a2d39d0 for that)
    as the tag 1.0.2 is wrongly assigned) 
  * Changed the install paths as the code is now in a subdirectory
  * Bump standards version - no changes needed.
  * Removed the convert_icons script from the package,
    not needed in production

 -- Patrick Winnertz <winnie@debian.org>  Thu, 24 Apr 2025 10:17:56 +0200
